package com.hai.service;

import com.hai.entity.HighTyAgent;

import java.util.List;
import java.util.Map;

/**
 * 团油代理商
 * @author hurui
 */
public interface HighTyAgentService {

    /**
     * 编辑代理商
     * @param tyAgent
     */
    void editTyAgent(HighTyAgent tyAgent);

    /**
     * 增加代理商
     * @param tyAgent
     */
    void addAgent(HighTyAgent tyAgent) throws Exception;

    /**
     * 修改代理商
     * @param tyAgent
     */
    void updateAgent(HighTyAgent tyAgent);

    /**
     * 删除代理商
     * @param key
     */
    void delAgent(String key);

    /**
     * 重置密码
     * @param key
     */
    void agentPwdReset(String key);

    /**
     * 根据id 查询详情
     * @param agentId
     * @return
     */
    HighTyAgent getDetailById(Long agentId);

    /**
     * 根据key 查询详情
     * @param key
     * @return
     */
    HighTyAgent getDetailByKey(String key);

    /**
     * 查询代理商列表
     * @param param
     * @return
     */
    List<HighTyAgent> getAgentList(Map<String, Object> param);
}
